org.apache.solr.client.solrj.beans

## Class DocumentObjectBinder

- java.lang.Object
- - org.apache.solr.client.solrj.beans.DocumentObjectBinder

    public class DocumentObjectBinder
    extends Object

A class to map objects to and from solr documents.

Since:
  solr 1.3

### Field Summary

Fields
`static String` `DEFAULT`

### Constructor Summary

Constructors
Constructor and Description
`DocumentObjectBinder()`

### Method Summary

Methods
`<T> T` `getBean(Class<T> clazz, SolrDocument solrDoc)`
`<T> List<T>` `getBeans(Class<T> clazz, SolrDocumentList solrDocList)`
`SolrInputDocument` `toSolrInputDocument(Object obj)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT

    public static final String DEFAULT

See Also:
  Constant Field Values

### Constructor Detail

#### DocumentObjectBinder

    public DocumentObjectBinder()

### Method Detail

#### getBeans

    public <T> List<T> getBeans(Class<T> clazz,
                       SolrDocumentList solrDocList)

#### getBean

    public <T> T getBean(Class<T> clazz,
                SolrDocument solrDoc)

#### toSolrInputDocument

    public SolrInputDocument toSolrInputDocument(Object obj)